%global _internal_version  a6376bb
%global date 20131125

Name:           cinnamon-settings-daemon
Version:        2.0.8
Release:        %mkrel 2
Summary:        The daemon sharing settings from CINNAMON to GTK+/KDE applications
Group:          Graphical desktop/Cinnamon
License:        GPLv2+ and LGPLv2+
URL:            http://cinnamon.linuxmint.com

Source0:        cinnamon-settings-daemon-%{version}.tar.gz
#SourceGet0:    https://github.com/linuxmint/cinnamon-settings-daemon/archive/%{version}.tar.gz
##Sourceget0:    https://github.com/linuxmint/cinnamon-settings-daemon/tarball/%{_internal_version}

BuildRequires:  dbus-glib-devel
BuildRequires:  pkgconfig(gtk+-3.0) >= 2.99.3
BuildRequires:  pkgconfig(cinnamon-desktop)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  gstreamer1.0-plugins-base-devel
BuildRequires:  pkgconfig(libpulse) >= 0.9.16
BuildRequires:  pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:  libgnomekbd-devel
BuildRequires:  pkgconfig(libnotify) >= 0.7.3,
BuildRequires:  intltool
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:  gnome-common
BuildRequires:  pkgconfig(libxklavier)
BuildRequires:  cups-devel
BuildRequires:  upower-devel
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(colord) >= 0.1.12
BuildRequires:  pkgconfig(lcms2) >= 2.2
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  systemd-devel
BuildRequires:  pkgconfig(xtst)
BuildRequires:  libxkbfile-devel
BuildRequires:  pkgconfig(ibus-1.0) >= 1.4.99.2012100
BuildRequires:  xsltproc
BuildRequires:  docbook-style-xsl

%description
A daemon to share settings from CINNAMON to other applications. It also
handles global keybindings, and many of desktop-wide settings.

%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name}%{?_isa} = %{version}-%{release}

Requires:       dbus-glib-devel

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.
 

%prep
%setup -q -n cinnamon-settings-daemon-%{version}
#setup -q -n linuxmint-cinnamon-settings-daemon-%{_internal_version}

sed -i -e 's@{ACLOCAL_FLAGS}@{ACLOCAL_FLAGS} -I m4@g' Makefile.am
echo "AC_CONFIG_MACRO_DIR([m4])" >> configure.ac

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --disable-static \
           --enable-profiling \
           --enable-systemd
%make V=1


%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS COPYING
%config %{_sysconfdir}/dbus-1/system.d/org.cinnamon.SettingsDaemon.DateTimeMechanism.conf
%{_libdir}/cinnamon-settings-daemon-3.0/
%{_libexecdir}/cinnamon-fallback-mount-helper
%{_libexecdir}/cinnamon-settings-daemon
%{_libexecdir}/csd-backlight-helper
%{_libexecdir}/csd-datetime-mechanism
%{_libexecdir}/csd-locate-pointer
%{_libexecdir}/csd-printer
%{_datadir}/applications/cinnamon-fallback-mount-helper.desktop
%{_datadir}/applications/cinnamon-settings-daemon.desktop
%{_datadir}/cinnamon-settings-daemon/
%{_datadir}/dbus-1/system-services/org.cinnamon.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/glib-2.0/schemas/org.cinnamon.settings-daemon*.xml
%{_datadir}/icons/hicolor/*/apps/csd-xrandr.*
%{_datadir}/polkit-1/actions/org.cinnamon.settings*.policy
%{_mandir}/man1/cinnamon-settings-daemon.1.*

%files devel
%{_includedir}/cinnamon-settings-daemon-3.0/
%{_libdir}/pkgconfig/cinnamon-settings-daemon.pc
%{_libexecdir}/csd-test-*
%{_datadir}/cinnamon-settings-daemon-3.0/


%changelog
* Wed Jan 08 2014 joequant <joequant> 2.0.8-2.mga4
+ Revision: 565561
- push to core/release

* Wed Jan 01 2014 joequant <joequant> 2.0.8-1.mga4
+ Revision: 563793
- upgrade to 2.0.8

* Wed Oct 23 2013 joequant <joequant> 2.0.3-2.mga4
+ Revision: 546393
- upgrade to 2.0.3

* Mon Oct 21 2013 umeabot <umeabot> 2.0.1-2.mga4
+ Revision: 539588
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 joequant <joequant> 2.0.1-1.mga4
+ Revision: 492502
- update to 2.0.1

* Tue Oct 01 2013 joequant <joequant> 1.9.1-1.mga4
+ Revision: 490040
- update to 1.9.1

* Wed Sep 18 2013 joequant <joequant> 1.0.0-0.20130905gitcb4d724.5.mga4
+ Revision: 481143
- update to git

* Sat Sep 14 2013 wally <wally> 1.0.0-0.4.git0dc4921.mga4
+ Revision: 478952
- rebuild for new colord
- use %%makeinstall_std macro
- move autogen.sh usage to %%build section
- remove unneeded post/postun/posttrans scripts

* Mon Sep 02 2013 joequant <joequant> 1.0.0-0.3.git0dc4921.mga4
+ Revision: 474271
- update to latest git

* Sun Aug 25 2013 joequant <joequant> 1.0.0-0.2.gitb8b57d9.mga4
+ Revision: 471618
- fix color plugin

* Fri Aug 23 2013 joequant <joequant> 1.0.0-0.1.gitb8b57d9.mga4
+ Revision: 470053
- add libcanberra-gtk3 buildrequires
- imported package cinnamon-settings-daemon

